Debian Bug report logs - #386694
[ketchup] bashism in regexp

version graph

Package: ketchup; Maintainer for ketchup is Johann Felix Soden <johfel@debian.org>; Source for ketchup is src:ketchup.

Reported by: Helmut Toplitzer <bgrpt@toplitzer.net>

Date: Sat, 9 Sep 2006 13:48:39 UTC

Severity: normal

Found in versions 0.9.8-1bpo1, ketchup/0.9.8-1

Fixed in version 0.9.8+hg5533f6de130c-1

Done: Baruch Even <baruch@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Matt Mackall <mpm@selenic.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Baruch Even <baruch@debian.org>:
Bug#386694; Package ketchup. Full text and rfc822 format available.

Acknowledgement sent to Helmut Toplitzer <bgrpt@toplitzer.net>:
New Bug report received and forwarded. Copy sent to Baruch Even <baruch@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Helmut Toplitzer <bgrpt@toplitzer.net>
To: submit@bugs.debian.org
Subject: [ketchup] bashism in regexp
Date: Sat, 9 Sep 2006 15:41:15 +0200
Package: ketchup
Version: 0.9.8-1bpo1

ketchup doesn't work when dash is installed as 
default shell.
If so the following line fails because of .gitignore
in the kernel-tree is not moved correctly. 
Using bash as default shell works.


err = os.system("mv linux*/* linux*/.[^.]* ..; rmdir linux*")
                                    ^^^^^^^ 
               



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#386694; Package ketchup. Full text and rfc822 format available.

Acknowledgement sent to Baruch Even <baruch@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 386694@bugs.debian.org (full text, mbox):

From: Baruch Even <baruch@debian.org>
To: Matt Mackall <mpm@selenic.com>
Cc: 386694@bugs.debian.org
Subject: ketchup can't work with dash
Date: Thu, 2 Nov 2006 08:43:30 +0200
Hi,

dash is a more posix compliant /bin/sh shell and is often used in Debian
as a test for POSIX correctness of scripts. Quite a few users/developers
use it regularly as their default /bin/sh shell.

I have a bug report against ketchup that it fails to work when the
default shell is dash. The following command fails since it doesn't move
.gitignore in in dash:
err = os.system("mv linux*/* linux*/.[^.]* ..; rmdir linux*")

The bug report is
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=386694 you can also
reply to it at 386694@bugs.debian.org and send email to the submitter at
386694-submitter@bugs.debian.org

Cheers,
Baruch



Noted your statement that Bug has been forwarded to Matt Mackall <mpm@selenic.com>. Request was from Baruch Even <baruch@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Baruch Even <baruch@debian.org>:
Bug#386694; Package ketchup. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@hardeman.nu>:
Extra info received and forwarded to list. Copy sent to Baruch Even <baruch@debian.org>. Full text and rfc822 format available.

Message #17 received at 386694@bugs.debian.org (full text, mbox):

From: David Härdeman <david@hardeman.nu>
To: 386694@bugs.debian.org
Cc: mpm@selenic.com, bgrpt@toplitzer.net
Subject: Re: debian bug #386694
Date: Sun, 10 Dec 2006 00:42:54 +0100
I solved this problem (the non-posix command) by replacing:

err = os.system("mv linux*/* linux*/.[^.]* ..; rmdir linux*")

with

err = os.system("find linux* -maxdepth 1 -mindepth 1 -print0 | xargs -0 -iREF mv REF ../; rmdir linux*")

-- 
David Härdeman



Information forwarded to debian-bugs-dist@lists.debian.org, Baruch Even <baruch@debian.org>:
Bug#386694; Package ketchup. Full text and rfc822 format available.

Acknowledgement sent to Bjorn Helgaas <bjorn.helgaas@hp.com>:
Extra info received and forwarded to list. Copy sent to Baruch Even <baruch@debian.org>. Full text and rfc822 format available.

Message #22 received at 386694@bugs.debian.org (full text, mbox):

From: Bjorn Helgaas <bjorn.helgaas@hp.com>
To: 386694@bugs.debian.org
Subject: ketchup bracket expression patch
Date: Fri, 20 Apr 2007 16:51:53 -0600
I sent Matt this patch, which solves the problem for me:


To complement the character class matched by a bracket expression,
the exclamation mark seems more widely accepted than circumflex.
Bash accepts either, but dash, ksh, and The Open Group shell command
language spec accept only exclamation mark.

Dash is installed as /bin/sh on recent Ubuntu systems, and the fact that it
doesn't accept circumflex to complement bracket expressions causes errors
like this:

    Unpacking linux-2.6.20.tar.bz2
    mv: cannot move `linux-2.6.20/..' to `../..': Device or resource busy

Problem reports:
    https://launchpad.net/bugs/69804
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=386694
    http://www.archivum.info/linux.debian.bugs.dist/2006-09/msg02777.html

References:
    bash: http://www.gnu.org/software/bash/manual/bashref.html#SEC34 (sec 3.5.8.1)
    ksh:  http://www.cs.princeton.edu/~jlk/kornshell/doc/man93.html#File Name Generation
    TOG:  http://www.opengroup.org/onlinepubs/009695399/utilities/xcu_chap02.html#tag_02_13 (sec 2.13.1)

--- ketchup.orig	2006-05-01 14:09:00.000000000 -0600
+++ ketchup	2007-04-20 14:15:36.000000000 -0600
@@ -433,7 +433,7 @@
         error("Unpacking failed: ", err)
         sys.exit(-1)
 
-    err = os.system("mv linux*/* linux*/.[^.]* ..; rmdir linux*")
+    err = os.system("mv linux*/* linux*/.[!.]* ..; rmdir linux*")
     if err:
         error("Unpacking failed: ", err)
         sys.exit(-1)



Reply sent to Baruch Even <baruch@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Helmut Toplitzer <bgrpt@toplitzer.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 386694-close@bugs.debian.org (full text, mbox):

From: Baruch Even <baruch@debian.org>
To: 386694-close@bugs.debian.org
Subject: Bug#386694: fixed in ketchup 0.9.8+hg5533f6de130c-1
Date: Sat, 07 Jul 2007 20:47:04 +0000
Source: ketchup
Source-Version: 0.9.8+hg5533f6de130c-1

We believe that the bug you reported is fixed in the latest version of
ketchup, which is due to be installed in the Debian FTP archive:

ketchup_0.9.8+hg5533f6de130c-1.diff.gz
  to pool/main/k/ketchup/ketchup_0.9.8+hg5533f6de130c-1.diff.gz
ketchup_0.9.8+hg5533f6de130c-1.dsc
  to pool/main/k/ketchup/ketchup_0.9.8+hg5533f6de130c-1.dsc
ketchup_0.9.8+hg5533f6de130c-1_all.deb
  to pool/main/k/ketchup/ketchup_0.9.8+hg5533f6de130c-1_all.deb
ketchup_0.9.8+hg5533f6de130c.orig.tar.gz
  to pool/main/k/ketchup/ketchup_0.9.8+hg5533f6de130c.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386694@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Baruch Even <baruch@debian.org> (supplier of updated ketchup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 07 Jul 2007 20:15:26 +0300
Source: ketchup
Binary: ketchup
Architecture: source all
Version: 0.9.8+hg5533f6de130c-1
Distribution: unstable
Urgency: low
Maintainer: Baruch Even <baruch@debian.org>
Changed-By: Baruch Even <baruch@debian.org>
Description: 
 ketchup    - update utility for linux-kernel sources
Closes: 386694 404644 410534
Changes: 
 ketchup (0.9.8+hg5533f6de130c-1) unstable; urgency=low
 .
   * Use patch 5533f6de130c from upstream repository to fix dot-file issues
     - Should fix (Closes: #386694) by not using a shell regex at all
   * Remove debian/ketchup.1 manpage, upstream provides a manpage which is
     better (Closes: #410534)
   * Remove reference to /home/baruch/.ketchuprc, use ~/.ketchuprc
     (Closes: #404644)_
Files: 
 e40c9f54e8389aacf3406016e61daf76 631 devel optional ketchup_0.9.8+hg5533f6de130c-1.dsc
 271d1c23b3f3d001f46f9aeef4a1d758 14742 devel optional ketchup_0.9.8+hg5533f6de130c.orig.tar.gz
 ea61c886360594a5c6e7a8ce18e5b25f 2591 devel optional ketchup_0.9.8+hg5533f6de130c-1.diff.gz
 dc5c71d5446fad562d4465c34bcc649c 10908 devel optional ketchup_0.9.8+hg5533f6de130c-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGj+5qHCar6qtHRZgRAnAWAJ90B4WiXfwmXv3hndWS/JhjJOAXNACfY56M
54XQGaMwqD+JJ5KNmjBuZx4=
=W86Q
-----END PGP SIGNATURE-----




Bug marked as found in version 0.9.8-1. Request was from Baruch Even <baruch@debian.org> to control@bugs.debian.org. (Sun, 08 Jul 2007 05:33:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 Aug 2007 07:33:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:22:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.